import ctypes

class Foo(ctypes.Union):
    _fields_ = [('x', ctypes.c_float),
                ('y', ctypes.c_float),
                ('z', ctypes.c_int)]

lib = ctypes.CDLL('./test184_lib.so')
extn = lib.extn
extn.argtypes = [Foo]
extn.restype = ctypes.c_int


foo = Foo(1.23)
print (foo.x)
print (foo.y)
print (foo.z)
extn(foo)
